Package org.eclipse.e4.ui.workbench.modeling

## Interface EPlaceholderResolver

    public interface EPlaceholderResolver

This service is used to resolve references from MPlaceholders. The issue is that we may be storing a cloned snippet which contains references to 'shared elements' but instantiating the snippet in a new window requires that the shared elements list be updated.

Since:
  1.0
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resolvePlaceholderRef​(MPlaceholder ph, MWindow refWin)` This method is used to re-resolve a placeholder's reference to a 'shared part' within the context of a particular window.

### Method Detail

#### resolvePlaceholderRef

    void resolvePlaceholderRef​(MPlaceholder ph,
                               MWindow refWin)

This method is used to re-resolve a placeholder's reference to a 'shared part' within the context of a particular window. This is necessary because placeholders must be referencing an element in that window's 'sharedParts' list.

Implementors may presume that the if the placeholder's reference is already non-null then it has already been resolved.

Parameters:
  `ph` - The placeholder to set the reference for (if necessary)
  `refWin` - The window the whose shared parts are to be referenced